LibreOffice: XFormatCondition Interface Reference

LibreOffice LibreOffice 6.1 SDK API Reference

Exported Interfaces | Public Attributes | List of all members
XFormatCondition Interface Reference

specifies a format condition for a control. More...

`import"XFormatCondition.idl";`

Inheritance diagram for XFormatCondition:

## Exported Interfaces
interface | XReportControlFormat
interface | com::sun::star::beans::XPropertySet
| gives access to the properties. More...

## Public Attributes
boolean | Enabled
| specifies if the condition is enabled or not. More...
string | Formula
| defines the formula of the format condition. More...
Public Attributes inherited from XReportControlFormat
com::sun::star::util::Color | ControlBackground { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the background color (RGB) of the control. More...
boolean | ControlBackgroundTransparent { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines if the back ground color is set to transparent. More...
short | ParaAdjust { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the horizontal alignment of the text. More...
com::sun::star::awt::FontDescriptor | FontDescriptor { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the font attributes of the text in the control. More...
com::sun::star::awt::FontDescriptor | FontDescriptorAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the font attributes of the text in the control. More...
com::sun::star::awt::FontDescriptor | FontDescriptorComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the font attributes of the text in the control. More...
short | ControlTextEmphasis { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the com::sun::star::text::FontEmphasis value of the text in the control. More...
short | CharEmphasis { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the font emphasis value as com::sun::star::text::FontEmphasis. More...
boolean | CharCombineIsOn { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines whether text is formatted in two lines. More...
string | CharCombinePrefix { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the prefix (usually parenthesis) before text that is formatted in two lines. More...
string | CharCombineSuffix { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the suffix (usually parenthesis) after text that is formatted in two lines. More...
boolean | CharHidden { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| If this optional property is `TRUE`, then the characters are invisible. More...
boolean | CharShadowed { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies if the characters are formatted and displayed with a shadow effect. More...
boolean | CharContoured { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies if the characters are formatted and displayed with a contour effect. More...
short | CharCaseMap { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| optional property which contains the value of the case-mapping of the text for formatting and displaying. More...
com::sun::star::lang::Locale | CharLocale { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the value of the locale. More...
short | CharEscapement { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the percentage by which to raise/lower superscript/subscript characters. More...
byte | CharEscapementHeight { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This is the additional height used for subscript or superscript characters in units of percent. More...
boolean | CharAutoKerning { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| optional property to determine whether the kerning tables from the current font are used. More...
short | CharKerning { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| optional property which contains the value of the kerning of the characters. More...
boolean | CharFlash { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| If this optional property is `TRUE`, then the characters are flashing. More...
short | CharRelief { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the com::sun::star::text::FontRelief value of the text in the control. More...
string | CharFontName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute specifies the name of the font style. More...
string | CharFontStyleName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the name of the font style. More...
short | CharFontFamily { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSet { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitch { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::util::Color | CharColor { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the text color (RGB) of the control. More...
com::sun::star::util::Color | CharUnderlineColor { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the text line color (RGB) of the control. More...
float | CharHeight { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This value contains the height of the characters in point. More...
short | CharUnderline { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the value for the character underline. More...
float | CharWeight { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the value of the font weight. More...
com::sun::star::awt::FontSlant | CharPosture { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This attribute contains the value of the posture of the document. More...
short | CharStrikeout { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines the type of the strike out of the character. More...
boolean | CharWordMode { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| If this attribute is `TRUE`, the underline and strike-through properties are not applied to white spaces. More...
short | CharRotation { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines the rotation of a character in degree. More...
short | CharScaleWidth { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| determines the percentage value for scaling the width of characters. More...
com::sun::star::style::VerticalAlignment | VerticalAlign { set raises(com::sun::star::lang::IllegalArgumentException, com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| specifies the vertical alignment of the text in the control. More...
string | HyperLinkURL { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the URL of a hyperlink (if set). More...
string | HyperLinkTarget { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the name of the target for a hyperlink (if set). More...
string | HyperLinkName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the name of the hyperlink (if set). More...
string | VisitedCharStyleName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the character style name for visited hyperlinks. More...
string | UnvisitedCharStyleName { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the character style name for unvisited hyperlinks. More...
float | CharHeightAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This value contains the height of the characters in point. More...
float | CharWeightAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the font weight. More...
string | CharFontNameAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property specifies the name of the font style. More...
string | CharFontStyleNameAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the name of the font style. More...
short | CharFontFamilyAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleAsian { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the value of the locale. More...
float | CharHeightComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This value contains the height of the characters in point. More...
float | CharWeightComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the font weight. More...
string | CharFontNameComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property specifies the name of the font style. More...
string | CharFontStyleNameComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the name of the font style. More...
short | CharFontFamilyComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains font family as specified in com.sun.star.awt.FontFamily . More...
short | CharFontCharSetComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the text encoding of the font as specified in com.sun.star.awt.CharSet. More...
short | CharFontPitchComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the font pitch as specified in com.sun.star.awt.FontPitch. More...
com::sun::star::awt::FontSlant | CharPostureComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| This property contains the value of the posture of the document. More...
com::sun::star::lang::Locale | CharLocaleComplex { set raises(com::sun::star::beans::UnknownPropertyException); get raises(com::sun::star::beans::UnknownPropertyException); }
| contains the value of the locale. More...

## Additional Inherited Members
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies a format condition for a control.

## Exported Interfaces

## ◆ com::sun::star::beans::XPropertySet

interface com::sun::star::beans::XPropertySet

gives access to the properties.

## ◆ XReportControlFormat

interface XReportControlFormat

## Member Data Documentation

## ◆ Enabled

boolean Enabled
| attributebound

specifies if the condition is enabled or not.

## ◆ Formula

string Formula
| attributebound

defines the formula of the format condition.

If the formula evaluates to `TRUE` then the format will be applied.

The documentation for this interface was generated from the following file:

- com/sun/star/report/XFormatCondition.idl